<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head>
    <meta charset="UTF-8">
    <title>Home Page</title>
</head>
<body>
<h2 th:text="#{home.welcome}">Hello World (design)!</h2>

<p sec:authorize="isAuthenticated()">
    User:<span sec:authentication="name"/>
    <br/>
    Role(s):<span sec:authentication="principal.authorities"/>
</p>

<h3 sec:authorize="hasRole('ADMIN')"><a href="/admin">Admin Portal</a></h3>

<h3><a href="/beers">Show Beers</a></h3>

<form th:action="@{/login}" sec:authorize="!isAuthenticated()" method="get">
    <input type="submit" value="Login"/>
</form>

<form th:action="@{/logout}" sec:authorize="isAuthenticated()" method="post">
    <input type="submit" value="Logout"/>
</form>

<h2 th:text="#{beers.title}">Beers</h2>

</body>
</html>